#!/bin/bash

# Substitui strings com erro por validas em todos arquivos passados
# como parmetro pelo programa. Exemplos de uso:
# ./remove_error_tags.sh caminho/arquivo1 caminho/arquivo2 caminho/arquivo3 caminho/arquivoN
# ./remove_error_tags.sh diretorio_com_os_arquivos_tiger-xml/*.xml
# ./remove_error_tags.sh diretorio_com_os_arquivos_tiger-xml/*

echo "Files to process: $#"
for i in $(seq "$#")
do 
  echo "Replacing '\"<' by \" in $1 ..."
  # $1  o nome do arquivo sendo processado. Se for necessrio mudar 
  # a extenso do arquivo substitua modified por outra string
  sed "s/\"</\"/g" $1 > $1.tmp
	
  echo "Replacing '>\"' by \" in $1 ..."
  sed "s/<\"/\"/g" $1.tmp > $1.tmp1

  echo "Replacing '<FOC' by 'FOC' in $1 ..."
  sed "s/<FOC/FOC/g" $1.tmp1 > $1.tmp2

  echo "Replacing 'NUM<' by 'NUM' in $1 ..."
  sed "s/NUM</NUM/g" $1.tmp2 > $1.tmp3

  echo "Replacing '<fmc>' by 'fmc' in $1 ..."
  sed "s/<fmc>/fmc/g" $1.tmp3 > $1.tmp4

  echo "Replacing 'AsS<' by 'AsS' in $1 ..."
  sed "s/AsS</AsS/g" $1.tmp4 > $1.tmp5

  echo "Replacing '<NER' by 'NER' in $1 ..."
  sed "s/<NER/NER/g" $1.tmp5 > $1.tmp6

  echo "Replacing '<np-close>' by 'np-close' in $1 ..."
  sed "s/<np-close>/np-close/g" $1.tmp6 > $1.tmp7

  echo "Removing '</xml>' in $1 ..."
  sed "/<\/xml>/d" $1.tmp7 > $1.tmp8
  grep -v "<lixo" $1.tmp8 > $1.modified

  rm $1.tmp*
  shift
done

